.. _ref_python:

==============
Python Library
==============

pytoulbar2 software is the Python interface of toulbar2.

.. autoclass:: pytoulbar2.CFN
    :members:
    :undoc-members:

.. autoclass:: pytoulbar2.MultiCFN
    :members:
    :undoc-members:

.. TEMPORAIRE
.. ==========

.. Examples de links :

.. - to a **class** : :cpp:class:`WeightedCSP`
.. - to a **func** :  :cpp:func:`tb2checkOptions`
.. - to a **var** :   :cpp:var:`NARYPROJECTIONSIZE`
.. - **enum** :       :cpp:enum:`...`
.. - **typedef** :    :cpp:type:`...`
.. - **struct** :     :cpp:struct:`...`

